Arch Ferme

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Truss and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎русский
Arrow-left.svg Page précédente : Arch Fence.svg Clôture
Page suivante : Profilé Arch Profile.svg Arrow-right.svg

Arch Truss.svg Arch Ferme

Emplacement du menu
Arch → Ferme
Ateliers
Arch
Raccourci par défaut
Aucun
Introduit dans la version
0.19
Voir aussi
Aucun

Description

L'outil Arch Ferme crée un objet Treillis à partir d'un objet linéaire sélectionné (positionnez une Draft Ligne ou Sketcher Nouvelle esquisse) ou à partir de zéro, si aucun objet n'est sélectionné lors du lancement de la commande.

Arch Truss example.png

Utilisation

Création à partir d'un objet sélectionné

  1. Utilisez un atelier de votre choix pour créer une seule ligne
  2. Sélectionnez cette ligne
  3. Appuyez sur le bouton Arch Truss.svg Ferme
  4. Ajustez les propriétés de la ferme à votre convenance


Création à partir de zéro

  1. Assurez-vous que rien n'est sélectionné
  2. Appuyez sur le bouton Arch Truss.svg Ferme
  3. Cliquez dans la vue 3D pour définir un premier point ou entrez manuellement les coordonnées X, Y et Z
  4. Cliquez dans la vue 3D pour définir un deuxième point ou entrez manuellement les coordonnées X, Y et Z
  5. Ajustez les propriétés des fermes à votre convenance

Propriétés

Données

  • DonnéesTrussAngle: angle du treillis
  • DonnéesSlantType: type oblique du treillis
  • DonnéesNormal: direction normale du treillis
  • DonnéesHeightStart: hauteur du treillis à la position de départ
  • DonnéesHeightEnd: hauteur du treillis à la position finale
  • DonnéesStrutStartOffset: décalage de démarrage facultatif pour la jambe de force supérieure
  • DonnéesStrutEndOffset: décalage de fin facultatif pour la jambe supérieure
  • DonnéesStrutHeight: hauteur des principaux éléments supérieur et inférieur du treillis
  • DonnéesStrutWidth: largeur des principaux éléments supérieur et inférieur du treillis
  • DonnéesRodType: type de l'élément central du treillis
  • DonnéesRodDirection: direction des tiges
  • DonnéesRodSize: diamètre ou côté des tiges
  • DonnéesRodSections: nombre de sectionss de tiges
  • DonnéesRodEnd: si le treillis a une tige à son extrémité ou non
  • DonnéesRodMode: comment dessiner les tiges

Script

L'outil Ferme peut être utilisé dans une macro et à partir de la console Python en utilisant la fonction suivante :

Truss = makeFence([baseobj])

Exemple:

import FreeCAD
import Draft
import Arch

p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(2000,0,0)
baseline = Draft.makeLine(p1,p2)
truss = Arch.makeTruss(baseline)
truss.HeightStart = 200
truss.HeightEnd = 400
# adjust other needed properties


Arrow-left.svg Page précédente : Arch Fence.svg Clôture
Page suivante : Profilé Arch Profile.svg Arrow-right.svg